Mailinglist Archive: opensuse (4749 mails)

< Previous Next >
Re: [SLE] gcc versions 3.2 and 2.95
  • From: Arthur Magill <magill@xxxxxxxxxxxxxxxxxxxxxxx>
  • Date: Fri, 30 May 2003 15:53:30 +0000
  • Message-id: <200305301553.31164.magill@xxxxxxxxxxxxxxxxxxxxxxx>
Thanks Philipp,

I'll have a go at that. And for the warning about KDE. Maybe it's time I had a
go at fixing some code ;-)

Arthur

On Wednesday 28 May 2003 19:26, Philipp Thomas wrote:
> Arthur Magill <magill@xxxxxxxxxxxxxxxxxxxxxxx> [28 May 2003 19:29:56]:
> > ./configure --program-suffix=-2.95 (that went okay)
>
> Don't do that. Install to another prefix, preferably *not* /usr/local.
>
> Steps to take:
>
> - Unpack tarball
> - Create a build directory
> - Change to the build-directory and call configure from the source
> directory, passing it something like --prefix=/opt/gcc295.
> - make bootstrap (this *has* to be called)
> - make install
>
> Note that even if you succeed in compiling gcc 2.95.3, you won't be able to
> compile C++ programs and libraries that need more then libstdc++, i.e.
> mostly KDE programs.
>
> I'd really advise you to not take that step but either wait until the
> authors fix their code or fix the code yourself.
>
> Philipp


< Previous Next >
Follow Ups